Package fr.gouv.vitam.common.stream

# Class PrependedMultiplexedInputStream

java.lang.Object
java.io.InputStream
java.io.FilterInputStream
org.apache.commons.io.input.ProxyInputStream
fr.gouv.vitam.common.stream.PrependedMultiplexedInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class PrependedMultiplexedInputStream extends org.apache.commons.io.input.ProxyInputStream
Wrapper around a multiplexed stream to prepend it with a header entry. Initial stream format is "SIZE1(long)DATA1(raw)SIZE2(long)DATA2(raw)..." Target stream format is "SIZE0(long)DATA0(raw)SIZE1(long)DATA1(raw)SIZE2(long)DATA2(raw)..."

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.io.input.ProxyInputStream

  `org.apache.commons.io.input.ProxyInputStream.AbstractBuilder<T,B extends org.apache.commons.io.build.AbstractStreamBuilder<T,B>>`

- ## Field Summary

  ### Fields inherited from class java.io.FilterInputStream

  `in`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrependedMultiplexedInputStream(InputStream firstEntryStream, long firstEntrySize, InputStream multiplexedInputStream, long multiplexedInputStreamSize)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `size()`

  ### Methods inherited from class org.apache.commons.io.input.ProxyInputStream

  `afterRead, available, beforeRead, close, handleIOException, mark, markSupported, read, read, read, reset, skip, unwrap`

  ### Methods inherited from class java.io.InputStream

  `nullInputStream, readAllBytes, readNBytes, readNBytes, skipNBytes, transferTo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PrependedMultiplexedInputStream

    public PrependedMultiplexedInputStream(InputStream firstEntryStream, long firstEntrySize, InputStream multiplexedInputStream, long multiplexedInputStreamSize) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### size

    public long size()